# Interface CommandOutputter

All Known Implementing Classes:
  `JsonOutputter, StreamOutputter`

public interface CommandOutputter
CommandOutputters are used to format the responses from Commands.

See Also:
  - `Command`
  - `JettyAdminServer`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
The MIME type of this output (e.g., "application/json")
`default void`
`output(CommandResponse response, OutputStream os)`
Stream out data as output
`default void`
`output(CommandResponse response, PrintWriter pw)`
Print out data as output

## Method Details

### getContentType

String getContentType()
The MIME type of this output (e.g., "application/json")

### output

default void output(CommandResponse response, PrintWriter pw)
Print out data as output

### output

default void output(CommandResponse response, OutputStream os)
Stream out data as output